# Interface IdentifyProvider

Provides identify capability for one or more data/FeatureSource!FeatureSources.

interface IdentifyProvider {
count(source: FeatureSource, geometry: Geometry, options?: IdentifyOptions): Promise<CountResult>;
identify(source: FeatureSource | FeatureSource[], geometry: Geometry, options?: IdentifyOptions): AsyncIterable<Feature, any, any>;
isSupported(source: FeatureSource, geometry: Geometry, options?: IdentifyOptions): boolean;
}

#### Implemented by

- IdentifyProviderBase

#####
Index

### Methods

count
identify
isSupported

##
Methods

### count

- count(source, geometry, options?): Promise<CountResult>

- Counts features in a given source that intersect the given geometry.

  #### Parameters

  - source: FeatureSource

    The source to identify.

  - geometry: Geometry

    The geometry to match against.

  - `Optional` options: IdentifyOptions

    Options that affect the identify operation.

  #### Returns Promise<CountResult>

  An iterable of tasks/CountResult!CountResults containing count results. If canceled, the provider may reject the returned promise with an instance of support/Cancellable!Cancellation, though it may still fulfill with count results instead.

### identify

- identify(source, geometry, options?): AsyncIterable<Feature, any, any>

- Identifies features in a given source that intersect the given geometry.

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to identify.

  - geometry: Geometry

    The geometry to match against.

  - `Optional` options: IdentifyOptions

    Options that affect the identify operation.

  #### Returns AsyncIterable<Feature, any, any>

  An iterable of data/Feature!Features containing identify results. If canceled, the provider may reject the returned promise with an instance of support/Cancellable!Cancellation, though it may still fulfill with results instead.

### isSupported

- isSupported(source, geometry, options?): boolean

- Determines whether this provider can handle identify operations for the given feature source.

  #### Parameters

  - source: FeatureSource

    The feature source.

  - geometry: Geometry
  - `Optional` options: IdentifyOptions

  #### Returns boolean